/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

/* Scripts permettant les fenêtrages */

<!-- Fenêtre centrée de saisie complémentaire -->
function fensaisie(page,largeur,hauteur,options) {
	var top=(screen.height-hauteur)/2;
	var left=(screen.width-largeur)/2;
	window.open(page,'fscomp','top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
}

<!-- Fenêtre centrée de saisie complémentaire -->
function fensaisie2(page,largeur,hauteur,options) {
	var top=(screen.height-hauteur)/2;
	var left=(screen.width-largeur)/2;
	window.open(page,'fscomp2','top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
}

<!-- Fenêtre pour appel lien externe -->
function flienexterne(page)
{
	var largeur=screen.width;
	var hauteur=screen.height;
	window.open(page,'flien',"width='+largeur+',height='+hauteur+',directories=yes,location=yes,menubar=yes,resizable=yes,scrollbars=yes,status=yes,toolbar=yes");
}

<!-- Fenêtre centrée de choix des relevés pour contrats -->
function fenchoixrel(page,largeur,hauteur,options) {
	var top=(screen.height-hauteur)/2;
	var left=(screen.width-largeur)/2;
	var sitep=document.cocl_maj.sitep.checked;
	if (sitep==true)
	{
		window.open(page+'&sp=1','fscomp','top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
	}
	else
	{
		window.open(page+'&sp=0','fscomp','top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
	}
}

<!-- Fenêtre centrée pour application complémentaire -->
function fenapp(page,nom,largeur,hauteur,options) {
	var top=(screen.height-hauteur)/2;
	var left=(screen.width-largeur)/2;
	window.open(page,nom,'top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
}

<!-- Affichage nouvelle fenêtre pour impression -->
function lanceimp(page)
{
	if ((page) && (page!=''))
	{
		var largeur=screen.width;
		var hauteur=screen.height;
		window.open(page,'impression','width='+largeur+', height='+hauteur);
	}
}

<!-- Fonction pour ouvrir une fenêtre de résumé contrat en fonction du select -->
function fen_res_cocl()
{
	var slct=document.getElementsByName('codecocl');
	var no_cocl=slct[0].value;
	if ((no_cocl) && (no_cocl!=''))
	{
		fensaisie('aff_rescocl.php?cocl='+no_cocl,900,800,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix du site depuis location -->
function fen_sites_coloc(cli,typ,loc,sit)
{
	if ((cli) && (cli!='') && ((document.coloc_maj.td.value=="edit") || (document.coloc_maj.td.value=="add")))
	{
		fensaisie('sitesl_lst.php?cc='+cli+'&td='+typ+'&cl='+loc+'&si='+sit,910,650,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix du site depuis intervention -->
function fen_sites_int()
{
	var ouvrefen=true;
	var messerr='';
	var messalert='';
	var cli ='';
	var objet=document.getElementById('codecli');
	if (objet)
	{
		var cli=objet.value;
	}
	if ((cli) && (cli!=''))
	{
		// Tests éventuellement bloquants, quelque soit l'état de la zone site
		var objet=document.getElementById('codeage');
		if (objet)
		{
			var codeage=objet.value;
			if (codeage=='')
			{
				if (messerr=='')
				{
					messerr+='ERREUR :\n';
				}
				else
				{
					messerr+='\n';
				}
				messerr+='Il faut d\'abord choisir une agence gestionnaire du compte client.';
				ouvrefen=false;
			}
		}
		var objet=document.getElementById('codetec');
		if (objet)
		{
			var tr=objet.value;
			if ((tr=='') || (tr=='-1'))
			{
				if (messerr=='')
				{
					messerr+='ERREUR :\n';
				}
				else
				{
					messerr+='\n';
				}
				messerr+='Il faut d\'abord choisir un technicien responsable de l\'intervention.';
				ouvrefen=false;
			}
		}

		// Tests d'alertes
		var objet=document.getElementById('nbot');
		if (objet)
		{
			var nbot=parseInt(objet.value);
			if (nbot!=0)
			{
				if (messalert=='')
				{
					messalert+='ALERTE :\n';
				}
				else
				{
					messalert+='\n';
				}
				messalert+='Vous avez déjà saisi des bons de travail sous-traitants : pensez à les contrôler.';
			}
		}
	}
	
	if (messalert!='')
	{
		alert(messalert);
	}

	if (ouvrefen==true)
	{
		var dte="";
		var objet=document.getElementById('daterdvf');
		if (objet)
		{
			dte=objet.value;
			// Si date de rendez-vous, on la prend, sinon, date de demande
			if (dte=="")
			{
				var objet1=document.getElementById('dateddef');
				if (objet1)
				{
					dte=objet1.value;
				}
			}
		}
		var ca="";
		var objet=document.getElementById('codeage');
		if (objet)
		{
			ca=objet.value;
		}
		var cas="";
		var objet=document.getElementById('codeage');
		if (objet)
		{
			cas=objet.value;
		}
		var typ="";
		var objet=document.getElementById('td');
		if (objet)
		{
			typ=objet.value;
		}
		var int="";
		var objet=document.getElementById('code');
		if (objet)
		{
			int=objet.value;
		}
		var sit="";
		var objet=document.getElementById('idsite');
		if (objet)
		{
			sit=objet.value;
		}
		var con="";
		var objet=document.getElementById('codecocl');
		if (objet)
		{
			con=objet.value;
		}
		var tr="";
		var objet=document.getElementById('codetec');
		if (objet)
		{
			tr=objet.value;
		}
		var url='sitesi_lst.php?cc='+cli+'&td='+typ+'&ci='+int+'&si='+sit+'&co='+con+"&dte="+dte+"&ca="+ca+"&cas="+cas+"&tr="+tr;
		fensaisie(url,910,650,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
	else
	{
		alert(messerr);
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix de détail horaire pour une intervention -->
function fen_deth_int(page,largeur,hauteur,options)
{
	var ouvrefen=true;
	var messerr='';
	if ((document.int_maj.td.value=="edit") || (document.int_maj.td.value=="view"))
	{
		var codetec=document.int_maj.codetec.value;
		if ((codetec=='') || (codetec=='-1'))
		{
			messerr+='Il faut d\'abord choisir un technicien responsable du dossier.';
			ouvrefen=false;
		}
		var idsite=document.int_maj.idsite.value;
		if (idsite=='')
		{
			if (messerr!='')
			{
				messerr+='\nIl faut d\'abord choisir un site d\'intervention.';
			}
			else
			{
				messerr+='Il faut d\'abord choisir un site d\'intervention.';
			}
			ouvrefen=false;
		}
	}
	else
	{
		ouvrefen=false;
		messerr+='Action impossible.';
	}
	
	if (ouvrefen==true)
	{
		var urlco='';
		var codecocl=document.getElementsByName('codecocl');
		if (codecocl)
		{
			if (codecocl.value!='')
			{
				urlco+='&cc='+document.int_maj.codecli.value;
				urlco+='&co='+document.int_maj.codecocl.value;
			}
		}
		urlco+='&si='+document.int_maj.idsite.value;
		urlco+='&ca='+document.int_maj.codeage.value;
		urlco+='&cas='+document.int_maj.agesite.value;
		if (document.int_maj.daterdvf.value!='')
		{
			urlco+='&drdv='+document.int_maj.daterdvf.value;
		}
		else
		{
			urlco+='&drdv='+document.int_maj.dateddef.value;
		}
		urlco+='&tr='+document.int_maj.codetec.value;
		var urlpage=page+urlco;
		fensaisie(urlpage,largeur,hauteur,options);
	}
	else
	{
		alert(messerr);
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix de détail horaire pour un ordre -->
function fen_deth_ot(page,largeur,hauteur,options)
{
	var ouvrefen=true;
	if (document.ot_maj.td.value=="edit")
	{
		var codetec=document.ot_maj.codetec.value;
		if ((codetec=='') || (codetec=='-1'))
		{
			alert ('Il faut d\'abord choisir un technicien responsable du dossier.');
			ouvrefen=false;
		}
	}
	
	if (ouvrefen==true)
	{
		fensaisie(page,largeur,hauteur,options);
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix de détail horaire pour un ordre -->
function fen2_deth_ot(page,largeur,hauteur,options)
{
	var ouvrefen=true;
	if (document.ot_maj.td.value=="edit")
	{
		var codetec=document.ot_maj.codetec.value;
		if ((codetec=='') || (codetec=='-1'))
		{
			alert ('Il faut d\'abord choisir un technicien responsable du dossier.');
			ouvrefen=false;
		}
	}
	
	if (ouvrefen==true)
	{
		fensaisie2(page,largeur,hauteur,options);
	}
}

<!-- Fonction pour ouvrir une fenêtre de bon de travail depuis une intervention -->
function fen_ot_int(page,largeur,hauteur,options)
{
	var ouvrefen=true;
	var messerr='';
	if (document.int_maj.td.value=="edit")
	{
		var objet=document.getElementById('codeage');
		if (objet)
		{
			var codeage=objet.value;
			if (codeage=='')
			{
				messerr+='Il faut d\'abord choisir une agence gestionnaire du compte.';
				ouvrefen=false;
			}
		}

		var objet=document.getElementById('codetec');
		if (objet)
		{
			var codetec=objet.value;
			if ((codetec=='') || (codetec=='-1'))
			{
				if (messerr!='')
				{
					messerr+='\n';
				}
				messerr+='Il faut d\'abord choisir un technicien responsable du dossier.';
				ouvrefen=false;
			}
		}

		var objet=document.getElementById('idsite');
		if (objet)
		{
			var idsite=objet.value;
			if (idsite=='')
			{
				if (messerr!='')
				{
					messerr+='\n';
				}
				messerr+='Il faut d\'abord choisir un site d\'intervention.';
				ouvrefen=false;
			}
		}
	}
	else
	{
		ouvrefen=false;
		messerr+='Action impossible.';
	}
	
	if (ouvrefen==true)
	{
		var urlco='';
		urlco+='&ca='+document.int_maj.codeage.value;
		urlco+='&cc='+document.int_maj.codecli.value;
		urlco+='&si='+document.int_maj.idsite.value;
		urlco+='&tr='+document.int_maj.codetec.value;
		urlco+='&co='+document.int_maj.codecocl.value;
		urlco+='&ord=DES&tri=Code'
		var urlpage=page+urlco;
		fensaisie(urlpage,largeur,hauteur,options);
	}
	else
	{
		alert(messerr);
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix des problèmes -->
function fen_rpbm_int(cli,typ,int,sit)
{
	if ((cli) && (cli!=''))
	{
		var url_rpbm='rpbm_lst.php?cc='+cli+'&td='+typ+'&ci='+int+'&si='+sit;
		fensaisie(url_rpbm,1024,600,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre de traitement des problèmes -->
function fen_rpbmtt_int(page,largeur,hauteur,options)
{
	var ouvrefen=true;
	var messerr = 'Erreur :\n';
	
	if (document.int_maj.tect.value == '')
	{
		messerr += "\nVous devez saisir un détail horaire et les techniciens traitants.";
		document.getElementById("f_tect").className = 'rubfrmrelief';
		document.getElementById("f_duree").className = 'rubfrmrelief';
		document.int_maj.duree.focus();
		ouvrefen = false;
	}
	else
	{
		document.getElementById("f_tect").className = 'rubfrm';
		document.getElementById("f_duree").className = 'rubfrm';
	}
	if ((document.int_maj.codetec.options[document.int_maj.codetec.selectedIndex].value == '') || (document.int_maj.codetec.options[document.int_maj.codetec.selectedIndex].value == '-1'))
	{
		messerr += "\nVous devez choisir un technicien responsable du dossier.";
		document.getElementById("f_codetec").className = 'rubfrmrelief';
		document.int_maj.codetec.focus();
		ouvrefen = false;
	}
	else
	{
		document.getElementById("f_codetec").className = 'rubfrm';
	}

	if (ouvrefen==true)
	{
		document.getElementById("f_tect").className = 'rubfrm';
		document.getElementById("f_duree").className = 'rubfrm';
		document.getElementById("f_codetec").className = 'rubfrm';
		fensaisie(page,largeur,hauteur,options);
	}
	else
	{
		alert (messerr);
	}
}

<!-- Fonction pour ouvrir une fenêtre de gestion des sites en fonction de la zone de texte "nom de société" -->
function fen_sites_client(codeclient)
{
	if ((codeclient) && (codeclient!=''))
	{
		fensaisie('scli_maj.php?cc='+codeclient,910,660,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre de détail client en fonction du code -->
function fen_det_cli(codecli)
{
	fensaisie('log_detc.php?cc='+codecli,1024,450,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
}

<!-- Fonction pour ouvrir une fenêtre de détail ip en fonction du numéro IP -->
function fen_det_ip(codeip)
{
	fensaisie('log_trace.php?ip='+codeip,1024,600,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
}

<!-- Fonction pour ouvrir une fenêtre de détail d'un fichier -->
function fen_det_fic(no_fic)
{
	if ((no_fic) && (no_fic!='') && (no_fic!='-1'))
	{
		fensaisie('aff_detfic.php?fic='+no_fic,800,500,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre contact client depuis contrat location -->
function fen_ccli_coloc(codecli)
{
	if ((codecli) && (codecli!=''))
	{
		var idsite=document.coloc_maj.idsite.value;
		fensaisie('ccli_maj.php?td=add&cc='+codecli+'&tx=loc&is='+idsite,950,560,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre contact client depuis intervention -->
function fen_ccli_int(codecli)
{
	if ((codecli) && (codecli!=''))
	{
		var idsite=document.int_maj.idsite.value;
		fensaisie('ccli_maj.php?td=add&cc='+codecli+'&tx=int&is='+idsite,950,560,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre contact client depuis bon de travail -->
function fen_ccli_ot(codecli)
{
	if ((codecli) && (codecli!=''))
	{
		var idsite=document.ot_maj.si.value;
		fensaisie('ccli_maj.php?td=add&cc='+codecli+'&tx=ot&is='+idsite,950,560,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre contact marque depuis détail dossier -->
function fen_cmque_dosd()
{
	var objet=document.getElementById('mque');
	if (objet)
	{
		var codemque=objet.value;
		if (codemque!='')
		{
			fensaisie2('cmque_maj.php?td=add&cm='+codemque+'&tx=dosd_cmque',900,500,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}

<!-- Fonction pour ouvrir une fenêtre contact donneur d'ordres depuis détail dossier -->
function fen_cdo_dosd()
{
	var objet=document.getElementById('do');
	if (objet)
	{
		var codedo=objet.value;
		if (codedo!='')
		{
			fensaisie2('cdo_maj.php?td=add&cd='+codedo+'&tx=dosd_cdo',900,500,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}

<!-- Fonction pour ouvrir une fenêtre contact sous-traitant depuis détail dossier -->
function fen_cst_dosd()
{
	var objet=document.getElementById('st');
	if (objet)
	{
		var codest=objet.value;
		if (codest!='')
		{
			fensaisie2('cst_maj.php?td=add&cs='+codest+'&tx=dosd_cst',900,500,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}

<!-- Fonction pour ouvrir une fenêtre d'impression d'un texte si pas par email -->
function fen_prev_client(nprev,contr,ncontr)
{
	if ((nprev) && (nprev!=""))
	{
		if ((parseInt(nprev)>=1) && (parseInt(nprev)<=3))
		{
			var messalerte="Ce client doit être prévenu par ";
			switch (nprev)
			{
				case 1 :
					messalerte+="téléphone";
					break;
				case 2 :
					messalerte+="fax ou par courrier";
					break;
				case 3 :
					messalerte+="SMS";
					break;
				default :
					break;
			}
			messalerte+=".\nUtilisez le document qui va sortir pour le prévenir."
			if ((contr) && (contr!=""))
				messalerte+="\nIMPORTANT :\nLe contrat "+contr+" est terminé.";
			if ((ncontr) && (ncontr!=""))
				messalerte+="\nLe contrat "+ncontr+" a été créé en renouvellement.";
			alert(messalerte);
			window.open("prev_pdf.php","fscomp","top=0, left=0, width="+screen.width+", height="+screen.height+",status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no");
		}
	}
}


<!-- Fonction pour ouvrir la fenêtre de réouverture de dossier -->
function fen_dos_reopen(ndos)
{
	if ((ndos) && (ndos!=""))
	{
		checkok = confirm('Merci de confirmer la réouverture du dossier '+ndos+'.\nSinon, cliquez sur \'Annuler\'.');
		if (checkok == true) 
		{
			var strurl="dos_reopen.php?cd="+ndos;
			fensaisie(strurl,900,400,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}

<!-- Fonction pour ouvrir la fenêtre de réouverture d'intervention -->
function fen_int_reopen(nint)
{
	if ((nint) && (nint!=""))
	{
		checkok = confirm('Merci de confirmer la réouverture de l\'intervention '+nint+'.\nSinon, cliquez sur \'Annuler\'.');
		if (checkok == true) 
		{
			var strurl="int_reopen.php?ci="+nint;
			fensaisie(strurl,900,400,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}

<!-- Fonction pour ouvrir la fenêtre de réouverture d'un compte technicien -->
function fen_tec_reopen(ntec)
{
	if ((ntec) && (ntec!=""))
	{
		checkok = confirm('Merci de confirmer la réouverture du compte technicien '+ntec+'.\nSinon, cliquez sur \'Annuler\'.');
		if (checkok == true) 
		{
			var strurl="tec_reopen.php?ct="+ntec;
			fensaisie(strurl,900,400,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}

<!-- Fonction pour ouvrir la fenêtre de réouverture d'un compte opérateur téléphoniqe -->
function fen_ope_reopen(nope)
{
	if ((nope) && (nope!=""))
	{
		checkok = confirm('Merci de confirmer la réouverture du compte opérateur '+nope+'.\nSinon, cliquez sur \'Annuler\'.');
		if (checkok == true) 
		{
			var strurl="ope_reopen.php?co="+nope;
			fensaisie(strurl,900,400,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}

<!-- Fonction pour ouvrir la fenêtre de réouverture de tâche -->
function fen_tac_reopen(ntac)
{
	if ((ntac) && (ntac!=""))
	{
		checkok = confirm('Merci de confirmer la réouverture de la tâche '+ntac+'.\nSinon, cliquez sur \'Annuler\'.');
		if (checkok == true) 
		{
			var strurl="tac_reopen.php?ct="+ntac;
			fensaisie(strurl,900,400,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}

<!-- Fonction pour ouvrir une fenêtre tarif consommables depuis barême location -->
function fen_tcons_barloc(td,ibl,ntc,ncons)
{
	if (parseInt(ibl)>0)
	{
		if ((((td=='edit') || (td=='view') || (td=='del')) && (parseInt(ntc)>0) && (parseInt(ncons)>0)) || ((td=='add') && (parseInt(ncons)>0)))
		{
			switch (parseInt(ncons))
			{
				case 1 :
					var nm=document.barloc_maj.nextmin1.value;
					break;
				case 2 :
					var nm=document.barloc_maj.nextmin2.value;
					break;
			}
			fensaisie2('barloctc_maj.php?td='+td+'&nbl='+parseInt(ibl)+'&ntc='+parseInt(ntc)+'&nm='+nm+'&nc='+parseInt(ncons),800,500,'status=no,scrollbars=auto,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}

<!-- Fonction pour ouvrir une fenêtre barême pénalité depuis pénalité location -->
function fen_penbar_pen(td,code,ipenbar)
{
	if ((code) && (code!=''))
	{
		if (parseInt(ipenbar)>=0)
		{
			if ((((td=='edit') || (td=='view') || (td=='del')) && (parseInt(ipenbar)>0)) || ((td=='add') && (parseInt(ipenbar)==0)))
			{
				var nm=document.pen_maj.nextmin.value;
				var pour=document.pen_maj.pour.value;
				if (pour=='Oui') {
					var po=1;
				} else {
					var po=0;
				}
				var udec=document.pen_maj.udec.value;
				fensaisie2('penbar_maj.php?td='+td+'&codep='+code+'&npb='+parseInt(ipenbar)+'&nm='+nm+'&po='+parseInt(po)+'&ud='+udec,800,500,'status=no,scrollbars=auto,menubar=no,statusbar=no,location=no,locationbar=no');
			}
		}
	}
}

<!-- Fonction pour ouvrir une fenêtre appliquant la pénalité depuis retour location -->
function fen_pen_rloc(td)
{
	if ((td=='ret') || (td=='del'))
	{
		var dp=document.pdtl_maj.df.value;
		var hp=document.pdtl_maj.hf.value;
		var dr=document.pdtl_maj.dateretf.value;
		var hr=document.pdtl_maj.hret.value;
		fensaisie2('pdtlpl_enr.php?td='+td+'&dp='+dp+'&hp='+hp+'&dr='+dr+'&hr='+hr,500,250,'status=no,scrollbars=auto,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre appliquant le barême consommable depuis retour location -->
function fen_cons_rloc(td)
{
	if ((td=='ret') || (td=='del'))
	{
		var objdidx1=document.getElementById('didx1');
		var objdidx2=document.getElementById('didx2');
		var objridx1=document.getElementById('ridx1');
		var objridx2=document.getElementById('ridx2');
		var objqci1=document.getElementById('qci1');
		var objqci2=document.getElementById('qci2');
		var didx1=-1;
		if (objdidx1)
		{
			didx1=parseInt(objdidx1.value);
		}
		var didx2=-1;
		if (objdidx2)
		{
			didx2=parseInt(objdidx2.value);
		}
		var ridx1=-1;
		if (objridx1)
		{
			ridx1=parseInt(objridx1.value);
		}
		var ridx2=-1;
		if (objridx2)
		{
			ridx2=parseInt(objridx2.value);
		}
		var qci1=0;
		if (objqci1)
		{
			qci1=parseInt(objqci1.value);
		}
		var qci2=0;
		if (objqci2)
		{
			qci2=parseInt(objqci2.value);
		}
		fensaisie2('pdtlcl_enr.php?td='+td+'&di1='+didx1+'&di2='+didx2+'&ri1='+ridx1+'&ri2='+ridx2+'&qc1='+qci1+'&qc2='+qci2,500,250,'status=no,scrollbars=auto,menubar=no,statusbar=no,location=no,locationbar=no');
		self.focus();
	}
}

<!-- Fonction pour ouvrir une liste filtrée -->
// nfiltre : numéro du filtre à appliquer
// nmxfiltre : numéro maximum des filtres
function fen_lst_filtre(nfiltre,nmxfiltre)
{
	if (parseInt(nfiltre)!=-1)
	{
		var url_cour=document.location.href;
		if (parseInt(nmxfiltre)>=parseInt(nfiltre))
		{
			// Nettoyage des "&fi=xx"
			for(var i=1;i<=parseInt(nmxfiltre);i++)
			{
				var idx_fi=url_cour.indexOf('&fi='+i);
				if (idx_fi!=-1)
				{
					var str_reg='(&fi='+i+')';
					var reg=new RegExp(str_reg,"gi");
					url_cour=url_cour.replace(reg,"");
				}
			}
			// Rajout du filtre courant
			if (parseInt(nfiltre)>=0)
			{
				url_cour=url_cour+"&fi="+nfiltre;
			}
		}
		document.location.href=url_cour;
	}
}

<!-- Fonction afficher une popup centrée -->
function popupon(idobjet)
{
	if (idobjet)
	{
		objet=document.getElementById(idobjet);
		var top=Math.floor((screen.height-objet.offsetHeight)/2);
		var left=Math.floor((screen.width-objet.offsetWidth)/2);
		objet.style.top=top+"px";
		objet.style.left=left+"px";
		objet.style.visibility="visible";		
	}
}

<!-- Fonction cacher une popup centrée -->
function popupoff(idobjet)
{
	if (idobjet)
	{
		objet=document.getElementById(idobjet);
		objet.style.visibility = "hidden";
	}
}
